function checkHref(elem) {
  var xmlHttp = new XMLHttpRequest()
  xmlHttp.onreadystatechange = function () {
    if (xmlHttp.readyState == 4) {
      elem.classList.add("hasResponseStatus")
      elem.classList.add("status-" + xmlHttp.status)
      elem.title = "Response code: " + xmlHttp.status + " - " + xmlHttp.statusText
    }
  }
  xmlHttp.open("GET", elem.href, true) // true for asynchronous 
  xmlHttp.send(null)
}

function checkPerms(className) {
  var rootElems = document.getElementsByClassName(className)
  Array.from(rootElems).forEach(elem =>
    Array.from(elem.children).forEach(elem => checkHref(elem))
  )
}
